#pragma once

#include <Wt/WContainerWidget.h>

namespace bsw {
namespace halfagame {

    typedef Wt::WContainerWidget ChatContainer;
    typedef Wt::WContainerWidget OptionsContainer;


    /**
     * @brief
     */
    class InteractiveContainer : public Wt::WContainerWidget
    {
        public:
            /**
             * @brief Constructor
             * @param env Environment
             */
            InteractiveContainer();
            /**
             * @brief Destructor
             */
            virtual ~InteractiveContainer();

        private:
            /**
             * @brief Called if layout size changed
             * @param width Layout new width
             * @param height Layout new height
             */
            virtual void layoutSizeChanged(int width, int height) override;

            void rearrange(float ratio);

        public:
            ChatContainer* chat() { return chatContainer_; };
            OptionsContainer* options() { return optionsSection_; };

        private:
            bool resized_ = false; ///< is resize happened
            float ratio_ = 1.0f; ///< w/h, >1 - desktop version, <1 - mobile variant

            Wt::WBoxLayout* layout_ = nullptr; ///< layout for containers
            ChatContainer* chatContainer_ = nullptr; ///< chat container
            OptionsContainer* optionsSection_ = nullptr; ///< options conatiner
    };

} /* namespace halfagame */
} /* namespace bsw */
