#include <algorithm>
#include <thread>
//#include <experimental/filesystem>

#include <Wt/WBreak.h>
#include <Wt/WTimer.h>
#include <Wt/WContainerWidget.h>
#include <Wt/WLineEdit.h>
#include <Wt/WPushButton.h>
#include <Wt/WText.h>
#include <Wt/WHBoxLayout.h>
#include <Wt/WVBoxLayout.h>
#include <Wt/WResource.h>
#include <Wt/WLink.h>

#include "UI.h"

#include "InteractiveContainer.h"

namespace bsw {
namespace halfagame {

    UI::UI(const Wt::WEnvironment& env)
          : WApplication(env)
          , exit_(false)
    {
        setTitle("ResizeTest");

        // Enable server-initiated updates.
        enableUpdates();

        auto vbox = root()->setLayout(Wt::cpp14::make_unique<Wt::WVBoxLayout>());

        // rest controls
        interactiveContainer_ = vbox->addWidget(Wt::cpp14::make_unique<InteractiveContainer>(), 1); // scale to whole screen
    }

    UI::~UI()
    {
        exit_ = true;
    }

} /* namespace halfagame */
} /* namespace bsw */

